Project

General

Profile

機能 #1045

GUIのgemを依存関係から外せるようにしたい

Added by あひる 家鴨 over 2 years ago. Updated almost 2 years ago.

Status:
新規
Priority:
通常
Assignee:
-
Target version:
-
Start date:
2017-05-27
Due date:
% Done:

0%

プラグイン名:

Description

非GUIな環境でmikutterを使用する場合、GUI周り(Gtkなど)は必要ないですが、Gtkのインストールに失敗するため使わない依存関係によってインストールができないといったことが起きています。
依存関係を選択できる何かがあるといいです。

History

#1

Updated by toshi_a 初音 over 2 years ago

  • Target version changed from 3.5 to 3.6

バグ修正ではないので3.6を対象とします。
具体的な手法の前に要件なんですが、Gtkプラグインだけを特別扱いはできません。「特定のプラグインがもっているGemfileを無視したい」が妥当な範囲で一番近いのかなと思いますが、どうでしょう。

#2

Updated by あひる 家鴨 over 2 years ago

その場合、「特定のプラグインが持っているGemfileを無視」した場合、それに依存するプラグインも無視されるような仕組みが欲しいです。
無視したプラグインに依存するプラグインがあった場合に起動できなくなってしまうので

#3

Updated by toshi_a 初音 about 2 years ago

依存するプラグインも無視

起動時のプラグインのロードで同様のことをやっているので流用できるかと

#4

Updated by toshi_a 初音 almost 2 years ago

  • Target version deleted (3.6)

Also available in: Atom PDF